Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network250.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
250.0.0.0
Broadcast address
250.255.255.255
First usable
250.0.0.1
Last usable
250.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FA000000 · Integer 4194304000 to 4211081215
Reverse DNS zone
250.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111010..00000000.00000000.00000000250.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network11111010..00000000.00000000.00000000250.0.0.0
Broadcast11111010..11111111.11111111.11111111250.255.255.255
Split into smaller subnets/16

250.0.0.0/8 makes 256 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1250.0.0.0/16250.0.0.1 to 250.0.255.254250.0.255.25565,534
2250.1.0.0/16250.1.0.1 to 250.1.255.254250.1.255.25565,534
3250.2.0.0/16250.2.0.1 to 250.2.255.254250.2.255.25565,534
4250.3.0.0/16250.3.0.1 to 250.3.255.254250.3.255.25565,534
5250.4.0.0/16250.4.0.1 to 250.4.255.254250.4.255.25565,534
6250.5.0.0/16250.5.0.1 to 250.5.255.254250.5.255.25565,534
7250.6.0.0/16250.6.0.1 to 250.6.255.254250.6.255.25565,534
8250.7.0.0/16250.7.0.1 to 250.7.255.254250.7.255.25565,534
9250.8.0.0/16250.8.0.1 to 250.8.255.254250.8.255.25565,534
10250.9.0.0/16250.9.0.1 to 250.9.255.254250.9.255.25565,534
11250.10.0.0/16250.10.0.1 to 250.10.255.254250.10.255.25565,534
12250.11.0.0/16250.11.0.1 to 250.11.255.254250.11.255.25565,534
13250.12.0.0/16250.12.0.1 to 250.12.255.254250.12.255.25565,534
14250.13.0.0/16250.13.0.1 to 250.13.255.254250.13.255.25565,534
15250.14.0.0/16250.14.0.1 to 250.14.255.254250.14.255.25565,534
16250.15.0.0/16250.15.0.1 to 250.15.255.254250.15.255.25565,534
17250.16.0.0/16250.16.0.1 to 250.16.255.254250.16.255.25565,534
18250.17.0.0/16250.17.0.1 to 250.17.255.254250.17.255.25565,534
19250.18.0.0/16250.18.0.1 to 250.18.255.254250.18.255.25565,534
20250.19.0.0/16250.19.0.1 to 250.19.255.254250.19.255.25565,534
21250.20.0.0/16250.20.0.1 to 250.20.255.254250.20.255.25565,534
22250.21.0.0/16250.21.0.1 to 250.21.255.254250.21.255.25565,534
23250.22.0.0/16250.22.0.1 to 250.22.255.254250.22.255.25565,534
24250.23.0.0/16250.23.0.1 to 250.23.255.254250.23.255.25565,534
25250.24.0.0/16250.24.0.1 to 250.24.255.254250.24.255.25565,534
26250.25.0.0/16250.25.0.1 to 250.25.255.254250.25.255.25565,534
27250.26.0.0/16250.26.0.1 to 250.26.255.254250.26.255.25565,534
28250.27.0.0/16250.27.0.1 to 250.27.255.254250.27.255.25565,534
29250.28.0.0/16250.28.0.1 to 250.28.255.254250.28.255.25565,534
30250.29.0.0/16250.29.0.1 to 250.29.255.254250.29.255.25565,534
31250.30.0.0/16250.30.0.1 to 250.30.255.254250.30.255.25565,534
32250.31.0.0/16250.31.0.1 to 250.31.255.254250.31.255.25565,534
33250.32.0.0/16250.32.0.1 to 250.32.255.254250.32.255.25565,534
34250.33.0.0/16250.33.0.1 to 250.33.255.254250.33.255.25565,534
35250.34.0.0/16250.34.0.1 to 250.34.255.254250.34.255.25565,534
36250.35.0.0/16250.35.0.1 to 250.35.255.254250.35.255.25565,534
37250.36.0.0/16250.36.0.1 to 250.36.255.254250.36.255.25565,534
38250.37.0.0/16250.37.0.1 to 250.37.255.254250.37.255.25565,534
39250.38.0.0/16250.38.0.1 to 250.38.255.254250.38.255.25565,534
40250.39.0.0/16250.39.0.1 to 250.39.255.254250.39.255.25565,534
41250.40.0.0/16250.40.0.1 to 250.40.255.254250.40.255.25565,534
42250.41.0.0/16250.41.0.1 to 250.41.255.254250.41.255.25565,534
43250.42.0.0/16250.42.0.1 to 250.42.255.254250.42.255.25565,534
44250.43.0.0/16250.43.0.1 to 250.43.255.254250.43.255.25565,534
45250.44.0.0/16250.44.0.1 to 250.44.255.254250.44.255.25565,534
46250.45.0.0/16250.45.0.1 to 250.45.255.254250.45.255.25565,534
47250.46.0.0/16250.46.0.1 to 250.46.255.254250.46.255.25565,534
48250.47.0.0/16250.47.0.1 to 250.47.255.254250.47.255.25565,534
49250.48.0.0/16250.48.0.1 to 250.48.255.254250.48.255.25565,534
50250.49.0.0/16250.49.0.1 to 250.49.255.254250.49.255.25565,534
51250.50.0.0/16250.50.0.1 to 250.50.255.254250.50.255.25565,534
52250.51.0.0/16250.51.0.1 to 250.51.255.254250.51.255.25565,534
53250.52.0.0/16250.52.0.1 to 250.52.255.254250.52.255.25565,534
54250.53.0.0/16250.53.0.1 to 250.53.255.254250.53.255.25565,534
55250.54.0.0/16250.54.0.1 to 250.54.255.254250.54.255.25565,534
56250.55.0.0/16250.55.0.1 to 250.55.255.254250.55.255.25565,534
57250.56.0.0/16250.56.0.1 to 250.56.255.254250.56.255.25565,534
58250.57.0.0/16250.57.0.1 to 250.57.255.254250.57.255.25565,534
59250.58.0.0/16250.58.0.1 to 250.58.255.254250.58.255.25565,534
60250.59.0.0/16250.59.0.1 to 250.59.255.254250.59.255.25565,534
61250.60.0.0/16250.60.0.1 to 250.60.255.254250.60.255.25565,534
62250.61.0.0/16250.61.0.1 to 250.61.255.254250.61.255.25565,534
63250.62.0.0/16250.62.0.1 to 250.62.255.254250.62.255.25565,534
64250.63.0.0/16250.63.0.1 to 250.63.255.254250.63.255.25565,534
65250.64.0.0/16250.64.0.1 to 250.64.255.254250.64.255.25565,534
66250.65.0.0/16250.65.0.1 to 250.65.255.254250.65.255.25565,534
67250.66.0.0/16250.66.0.1 to 250.66.255.254250.66.255.25565,534
68250.67.0.0/16250.67.0.1 to 250.67.255.254250.67.255.25565,534
69250.68.0.0/16250.68.0.1 to 250.68.255.254250.68.255.25565,534
70250.69.0.0/16250.69.0.1 to 250.69.255.254250.69.255.25565,534
71250.70.0.0/16250.70.0.1 to 250.70.255.254250.70.255.25565,534
72250.71.0.0/16250.71.0.1 to 250.71.255.254250.71.255.25565,534
73250.72.0.0/16250.72.0.1 to 250.72.255.254250.72.255.25565,534
74250.73.0.0/16250.73.0.1 to 250.73.255.254250.73.255.25565,534
75250.74.0.0/16250.74.0.1 to 250.74.255.254250.74.255.25565,534
76250.75.0.0/16250.75.0.1 to 250.75.255.254250.75.255.25565,534
77250.76.0.0/16250.76.0.1 to 250.76.255.254250.76.255.25565,534
78250.77.0.0/16250.77.0.1 to 250.77.255.254250.77.255.25565,534
79250.78.0.0/16250.78.0.1 to 250.78.255.254250.78.255.25565,534
80250.79.0.0/16250.79.0.1 to 250.79.255.254250.79.255.25565,534
81250.80.0.0/16250.80.0.1 to 250.80.255.254250.80.255.25565,534
82250.81.0.0/16250.81.0.1 to 250.81.255.254250.81.255.25565,534
83250.82.0.0/16250.82.0.1 to 250.82.255.254250.82.255.25565,534
84250.83.0.0/16250.83.0.1 to 250.83.255.254250.83.255.25565,534
85250.84.0.0/16250.84.0.1 to 250.84.255.254250.84.255.25565,534
86250.85.0.0/16250.85.0.1 to 250.85.255.254250.85.255.25565,534
87250.86.0.0/16250.86.0.1 to 250.86.255.254250.86.255.25565,534
88250.87.0.0/16250.87.0.1 to 250.87.255.254250.87.255.25565,534
89250.88.0.0/16250.88.0.1 to 250.88.255.254250.88.255.25565,534
90250.89.0.0/16250.89.0.1 to 250.89.255.254250.89.255.25565,534
91250.90.0.0/16250.90.0.1 to 250.90.255.254250.90.255.25565,534
92250.91.0.0/16250.91.0.1 to 250.91.255.254250.91.255.25565,534
93250.92.0.0/16250.92.0.1 to 250.92.255.254250.92.255.25565,534
94250.93.0.0/16250.93.0.1 to 250.93.255.254250.93.255.25565,534
95250.94.0.0/16250.94.0.1 to 250.94.255.254250.94.255.25565,534
96250.95.0.0/16250.95.0.1 to 250.95.255.254250.95.255.25565,534
97250.96.0.0/16250.96.0.1 to 250.96.255.254250.96.255.25565,534
98250.97.0.0/16250.97.0.1 to 250.97.255.254250.97.255.25565,534
99250.98.0.0/16250.98.0.1 to 250.98.255.254250.98.255.25565,534
100250.99.0.0/16250.99.0.1 to 250.99.255.254250.99.255.25565,534
101250.100.0.0/16250.100.0.1 to 250.100.255.254250.100.255.25565,534
102250.101.0.0/16250.101.0.1 to 250.101.255.254250.101.255.25565,534
103250.102.0.0/16250.102.0.1 to 250.102.255.254250.102.255.25565,534
104250.103.0.0/16250.103.0.1 to 250.103.255.254250.103.255.25565,534
105250.104.0.0/16250.104.0.1 to 250.104.255.254250.104.255.25565,534
106250.105.0.0/16250.105.0.1 to 250.105.255.254250.105.255.25565,534
107250.106.0.0/16250.106.0.1 to 250.106.255.254250.106.255.25565,534
108250.107.0.0/16250.107.0.1 to 250.107.255.254250.107.255.25565,534
109250.108.0.0/16250.108.0.1 to 250.108.255.254250.108.255.25565,534
110250.109.0.0/16250.109.0.1 to 250.109.255.254250.109.255.25565,534
111250.110.0.0/16250.110.0.1 to 250.110.255.254250.110.255.25565,534
112250.111.0.0/16250.111.0.1 to 250.111.255.254250.111.255.25565,534
113250.112.0.0/16250.112.0.1 to 250.112.255.254250.112.255.25565,534
114250.113.0.0/16250.113.0.1 to 250.113.255.254250.113.255.25565,534
115250.114.0.0/16250.114.0.1 to 250.114.255.254250.114.255.25565,534
116250.115.0.0/16250.115.0.1 to 250.115.255.254250.115.255.25565,534
117250.116.0.0/16250.116.0.1 to 250.116.255.254250.116.255.25565,534
118250.117.0.0/16250.117.0.1 to 250.117.255.254250.117.255.25565,534
119250.118.0.0/16250.118.0.1 to 250.118.255.254250.118.255.25565,534
120250.119.0.0/16250.119.0.1 to 250.119.255.254250.119.255.25565,534
121250.120.0.0/16250.120.0.1 to 250.120.255.254250.120.255.25565,534
122250.121.0.0/16250.121.0.1 to 250.121.255.254250.121.255.25565,534
123250.122.0.0/16250.122.0.1 to 250.122.255.254250.122.255.25565,534
124250.123.0.0/16250.123.0.1 to 250.123.255.254250.123.255.25565,534
125250.124.0.0/16250.124.0.1 to 250.124.255.254250.124.255.25565,534
126250.125.0.0/16250.125.0.1 to 250.125.255.254250.125.255.25565,534
127250.126.0.0/16250.126.0.1 to 250.126.255.254250.126.255.25565,534
128250.127.0.0/16250.127.0.1 to 250.127.255.254250.127.255.25565,534
129250.128.0.0/16250.128.0.1 to 250.128.255.254250.128.255.25565,534
130250.129.0.0/16250.129.0.1 to 250.129.255.254250.129.255.25565,534
131250.130.0.0/16250.130.0.1 to 250.130.255.254250.130.255.25565,534
132250.131.0.0/16250.131.0.1 to 250.131.255.254250.131.255.25565,534
133250.132.0.0/16250.132.0.1 to 250.132.255.254250.132.255.25565,534
134250.133.0.0/16250.133.0.1 to 250.133.255.254250.133.255.25565,534
135250.134.0.0/16250.134.0.1 to 250.134.255.254250.134.255.25565,534
136250.135.0.0/16250.135.0.1 to 250.135.255.254250.135.255.25565,534
137250.136.0.0/16250.136.0.1 to 250.136.255.254250.136.255.25565,534
138250.137.0.0/16250.137.0.1 to 250.137.255.254250.137.255.25565,534
139250.138.0.0/16250.138.0.1 to 250.138.255.254250.138.255.25565,534
140250.139.0.0/16250.139.0.1 to 250.139.255.254250.139.255.25565,534
141250.140.0.0/16250.140.0.1 to 250.140.255.254250.140.255.25565,534
142250.141.0.0/16250.141.0.1 to 250.141.255.254250.141.255.25565,534
143250.142.0.0/16250.142.0.1 to 250.142.255.254250.142.255.25565,534
144250.143.0.0/16250.143.0.1 to 250.143.255.254250.143.255.25565,534
145250.144.0.0/16250.144.0.1 to 250.144.255.254250.144.255.25565,534
146250.145.0.0/16250.145.0.1 to 250.145.255.254250.145.255.25565,534
147250.146.0.0/16250.146.0.1 to 250.146.255.254250.146.255.25565,534
148250.147.0.0/16250.147.0.1 to 250.147.255.254250.147.255.25565,534
149250.148.0.0/16250.148.0.1 to 250.148.255.254250.148.255.25565,534
150250.149.0.0/16250.149.0.1 to 250.149.255.254250.149.255.25565,534
151250.150.0.0/16250.150.0.1 to 250.150.255.254250.150.255.25565,534
152250.151.0.0/16250.151.0.1 to 250.151.255.254250.151.255.25565,534
153250.152.0.0/16250.152.0.1 to 250.152.255.254250.152.255.25565,534
154250.153.0.0/16250.153.0.1 to 250.153.255.254250.153.255.25565,534
155250.154.0.0/16250.154.0.1 to 250.154.255.254250.154.255.25565,534
156250.155.0.0/16250.155.0.1 to 250.155.255.254250.155.255.25565,534
157250.156.0.0/16250.156.0.1 to 250.156.255.254250.156.255.25565,534
158250.157.0.0/16250.157.0.1 to 250.157.255.254250.157.255.25565,534
159250.158.0.0/16250.158.0.1 to 250.158.255.254250.158.255.25565,534
160250.159.0.0/16250.159.0.1 to 250.159.255.254250.159.255.25565,534
161250.160.0.0/16250.160.0.1 to 250.160.255.254250.160.255.25565,534
162250.161.0.0/16250.161.0.1 to 250.161.255.254250.161.255.25565,534
163250.162.0.0/16250.162.0.1 to 250.162.255.254250.162.255.25565,534
164250.163.0.0/16250.163.0.1 to 250.163.255.254250.163.255.25565,534
165250.164.0.0/16250.164.0.1 to 250.164.255.254250.164.255.25565,534
166250.165.0.0/16250.165.0.1 to 250.165.255.254250.165.255.25565,534
167250.166.0.0/16250.166.0.1 to 250.166.255.254250.166.255.25565,534
168250.167.0.0/16250.167.0.1 to 250.167.255.254250.167.255.25565,534
169250.168.0.0/16250.168.0.1 to 250.168.255.254250.168.255.25565,534
170250.169.0.0/16250.169.0.1 to 250.169.255.254250.169.255.25565,534
171250.170.0.0/16250.170.0.1 to 250.170.255.254250.170.255.25565,534
172250.171.0.0/16250.171.0.1 to 250.171.255.254250.171.255.25565,534
173250.172.0.0/16250.172.0.1 to 250.172.255.254250.172.255.25565,534
174250.173.0.0/16250.173.0.1 to 250.173.255.254250.173.255.25565,534
175250.174.0.0/16250.174.0.1 to 250.174.255.254250.174.255.25565,534
176250.175.0.0/16250.175.0.1 to 250.175.255.254250.175.255.25565,534
177250.176.0.0/16250.176.0.1 to 250.176.255.254250.176.255.25565,534
178250.177.0.0/16250.177.0.1 to 250.177.255.254250.177.255.25565,534
179250.178.0.0/16250.178.0.1 to 250.178.255.254250.178.255.25565,534
180250.179.0.0/16250.179.0.1 to 250.179.255.254250.179.255.25565,534
181250.180.0.0/16250.180.0.1 to 250.180.255.254250.180.255.25565,534
182250.181.0.0/16250.181.0.1 to 250.181.255.254250.181.255.25565,534
183250.182.0.0/16250.182.0.1 to 250.182.255.254250.182.255.25565,534
184250.183.0.0/16250.183.0.1 to 250.183.255.254250.183.255.25565,534
185250.184.0.0/16250.184.0.1 to 250.184.255.254250.184.255.25565,534
186250.185.0.0/16250.185.0.1 to 250.185.255.254250.185.255.25565,534
187250.186.0.0/16250.186.0.1 to 250.186.255.254250.186.255.25565,534
188250.187.0.0/16250.187.0.1 to 250.187.255.254250.187.255.25565,534
189250.188.0.0/16250.188.0.1 to 250.188.255.254250.188.255.25565,534
190250.189.0.0/16250.189.0.1 to 250.189.255.254250.189.255.25565,534
191250.190.0.0/16250.190.0.1 to 250.190.255.254250.190.255.25565,534
192250.191.0.0/16250.191.0.1 to 250.191.255.254250.191.255.25565,534
193250.192.0.0/16250.192.0.1 to 250.192.255.254250.192.255.25565,534
194250.193.0.0/16250.193.0.1 to 250.193.255.254250.193.255.25565,534
195250.194.0.0/16250.194.0.1 to 250.194.255.254250.194.255.25565,534
196250.195.0.0/16250.195.0.1 to 250.195.255.254250.195.255.25565,534
197250.196.0.0/16250.196.0.1 to 250.196.255.254250.196.255.25565,534
198250.197.0.0/16250.197.0.1 to 250.197.255.254250.197.255.25565,534
199250.198.0.0/16250.198.0.1 to 250.198.255.254250.198.255.25565,534
200250.199.0.0/16250.199.0.1 to 250.199.255.254250.199.255.25565,534
201250.200.0.0/16250.200.0.1 to 250.200.255.254250.200.255.25565,534
202250.201.0.0/16250.201.0.1 to 250.201.255.254250.201.255.25565,534
203250.202.0.0/16250.202.0.1 to 250.202.255.254250.202.255.25565,534
204250.203.0.0/16250.203.0.1 to 250.203.255.254250.203.255.25565,534
205250.204.0.0/16250.204.0.1 to 250.204.255.254250.204.255.25565,534
206250.205.0.0/16250.205.0.1 to 250.205.255.254250.205.255.25565,534
207250.206.0.0/16250.206.0.1 to 250.206.255.254250.206.255.25565,534
208250.207.0.0/16250.207.0.1 to 250.207.255.254250.207.255.25565,534
209250.208.0.0/16250.208.0.1 to 250.208.255.254250.208.255.25565,534
210250.209.0.0/16250.209.0.1 to 250.209.255.254250.209.255.25565,534
211250.210.0.0/16250.210.0.1 to 250.210.255.254250.210.255.25565,534
212250.211.0.0/16250.211.0.1 to 250.211.255.254250.211.255.25565,534
213250.212.0.0/16250.212.0.1 to 250.212.255.254250.212.255.25565,534
214250.213.0.0/16250.213.0.1 to 250.213.255.254250.213.255.25565,534
215250.214.0.0/16250.214.0.1 to 250.214.255.254250.214.255.25565,534
216250.215.0.0/16250.215.0.1 to 250.215.255.254250.215.255.25565,534
217250.216.0.0/16250.216.0.1 to 250.216.255.254250.216.255.25565,534
218250.217.0.0/16250.217.0.1 to 250.217.255.254250.217.255.25565,534
219250.218.0.0/16250.218.0.1 to 250.218.255.254250.218.255.25565,534
220250.219.0.0/16250.219.0.1 to 250.219.255.254250.219.255.25565,534
221250.220.0.0/16250.220.0.1 to 250.220.255.254250.220.255.25565,534
222250.221.0.0/16250.221.0.1 to 250.221.255.254250.221.255.25565,534
223250.222.0.0/16250.222.0.1 to 250.222.255.254250.222.255.25565,534
224250.223.0.0/16250.223.0.1 to 250.223.255.254250.223.255.25565,534
225250.224.0.0/16250.224.0.1 to 250.224.255.254250.224.255.25565,534
226250.225.0.0/16250.225.0.1 to 250.225.255.254250.225.255.25565,534
227250.226.0.0/16250.226.0.1 to 250.226.255.254250.226.255.25565,534
228250.227.0.0/16250.227.0.1 to 250.227.255.254250.227.255.25565,534
229250.228.0.0/16250.228.0.1 to 250.228.255.254250.228.255.25565,534
230250.229.0.0/16250.229.0.1 to 250.229.255.254250.229.255.25565,534
231250.230.0.0/16250.230.0.1 to 250.230.255.254250.230.255.25565,534
232250.231.0.0/16250.231.0.1 to 250.231.255.254250.231.255.25565,534
233250.232.0.0/16250.232.0.1 to 250.232.255.254250.232.255.25565,534
234250.233.0.0/16250.233.0.1 to 250.233.255.254250.233.255.25565,534
235250.234.0.0/16250.234.0.1 to 250.234.255.254250.234.255.25565,534
236250.235.0.0/16250.235.0.1 to 250.235.255.254250.235.255.25565,534
237250.236.0.0/16250.236.0.1 to 250.236.255.254250.236.255.25565,534
238250.237.0.0/16250.237.0.1 to 250.237.255.254250.237.255.25565,534
239250.238.0.0/16250.238.0.1 to 250.238.255.254250.238.255.25565,534
240250.239.0.0/16250.239.0.1 to 250.239.255.254250.239.255.25565,534
241250.240.0.0/16250.240.0.1 to 250.240.255.254250.240.255.25565,534
242250.241.0.0/16250.241.0.1 to 250.241.255.254250.241.255.25565,534
243250.242.0.0/16250.242.0.1 to 250.242.255.254250.242.255.25565,534
244250.243.0.0/16250.243.0.1 to 250.243.255.254250.243.255.25565,534
245250.244.0.0/16250.244.0.1 to 250.244.255.254250.244.255.25565,534
246250.245.0.0/16250.245.0.1 to 250.245.255.254250.245.255.25565,534
247250.246.0.0/16250.246.0.1 to 250.246.255.254250.246.255.25565,534
248250.247.0.0/16250.247.0.1 to 250.247.255.254250.247.255.25565,534
249250.248.0.0/16250.248.0.1 to 250.248.255.254250.248.255.25565,534
250250.249.0.0/16250.249.0.1 to 250.249.255.254250.249.255.25565,534
251250.250.0.0/16250.250.0.1 to 250.250.255.254250.250.255.25565,534
252250.251.0.0/16250.251.0.1 to 250.251.255.254250.251.255.25565,534
253250.252.0.0/16250.252.0.1 to 250.252.255.254250.252.255.25565,534
254250.253.0.0/16250.253.0.1 to 250.253.255.254250.253.255.25565,534
255250.254.0.0/16250.254.0.1 to 250.254.255.254250.254.255.25565,534
256250.255.0.0/16250.255.0.1 to 250.255.255.254250.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses